Deprecated {base} | R Documentation

## Deprecated Functions

### Description

These functions are provided for compatibility with older versions of R only, and may be defunct as soon as of the next release.

`.Deprecated("<new name>")` is called from deprecated functions.

`provide` allows code to register the names of packages that it encompasses. The argument is stored in the list `.Provided`. `provide` returns `FALSE` if the package was already present in `.Provided` or among the packages in `search()`. The main use for `provide` is when multiple packages share code. This is most likely when the code implements features present in S(-PLUS) but not in R.

### Usage

    .Deprecated(new)

    provide(package)

### See Also

`Defunct`

[Package Contents]